ParallelComputer (JUnit API)
Keywords: org.junit.experimental.ParallelComputer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.junit.experimental
Class ParallelComputer

    java.lang.Object
      org.junit.runner.Computer
          org.junit.experimental.ParallelComputer

    public class ParallelComputer

extends Computer

Constructor Summary
`ParallelComputer(boolean classes, boolean methods)`

Method Summary
`static Computer` | `classes()`
`protected Runner` | `getRunner(RunnerBuilder builder, Class<?> testClass)` Create a single-class runner for `testClass`, using `builder`
`Runner` | `getSuite(RunnerBuilder builder, Class<?>[] classes)` Create a suite for `classes`, building Runners with `builder`.
`static Computer` | `methods()`

Methods inherited from class org.junit.runner.Computer
`serial`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParallelComputer

    public ParallelComputer(boolean classes,
                            boolean methods)

Method Detail

### classes

    public static Computer classes()

### methods

    public static Computer methods()

### getSuite

    public Runner getSuite(RunnerBuilder builder,
                           Class<?>[] classes)
                    throws InitializationError

  Description copied from class: `Computer`
  Create a suite for `classes`, building Runners with `builder`. Throws an InitializationError if Runner construction fails

  Overrides:
    `getSuite` in class `Computer`
  Throws:
    `InitializationError`

### getRunner

    protected Runner getRunner(RunnerBuilder builder,
                               Class<?> testClass)
                        throws Throwable

  Description copied from class: `Computer`
  Create a single-class runner for `testClass`, using `builder`

  Overrides:
    `getRunner` in class `Computer`
  Throws:
    `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD